module.exports = {
    title: 'DeinServerHost Wiki',
    tagline: 'Das DeinServerHost Wiki bietet dir Informationen rund um uns und deine Dienste bei uns.',
    url: 'https://docu.salty.cloud/',
    baseUrl: '/wiki/',
    onBrokenLinks: 'throw',
    onBrokenMarkdownLinks: 'warn',
    favicon: 'img/favicon.png',
    organizationName: 'lightgreenwings', // Usually your GitHub org/user name.
    projectName: 'dsh-docu', // Usually your repo name.
    themeConfig: {
        colorMode: {
            defaultMode: 'dark',
            disableSwitch: true,
            respectPrefersColorScheme: false,
        },
        navbar: {
            title: '',
            logo: {
                alt: 'DeinServerHost Dokumentation',
                src: 'img/deinserverhost.png',
            },
            items: [
                {
                    href: 'https://deinserverhost.de/store/login.php',
                    label: 'Zum Kundenbereich',
                    position: 'right',
                },
            ],
        },
        footer: {
            style: 'dark',
            links: [],
            copyright: `Copyright © 2013 - ${new Date().getFullYear()} DeinServerHost | <a href="https://deinserverhost.de/impressum.php">Impressum</a> <a href="https://deinserverhost.de/agb.php">AGB</a> <a href="https://deinserverhost.de/datenschutz.php">Datenschutz</a>`,
        },
    },
    presets: [
        [
            '@docusaurus/preset-classic',
            {
                docs: {
                    sidebarPath: require.resolve('./sidebars.js'),
                    path: 'wiki',
                    routeBasePath: '/',
                },
                theme: {
                    customCss: require.resolve('./src/css/custom.css'),
                },
            },
        ],
    ],
};
