import React from 'react';
import useDocusaurusContext from '@docusaurus/useDocusaurusContext';
import {Redirect} from '@docusaurus/router';
import Head from '@docusaurus/Head';
import Layout from '@theme/Layout';


function Home() {
  const context = useDocusaurusContext();
  const { siteConfig = {} } = context;
  return (
    <Layout>
      <head>
      <meta charset="utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <meta name="keywords" content="Domains,Webspaces,vServer,Rootserver,Dedicated Server,Gameserver,PrePaid,DeinServerHost.de,wiki,tutorials,hilfe,anleitungen,leicht,easy" />
      <meta name="description" content="Alle Informationen rund um deine Dienste bei DeinServerHost.de findest du hier. Installationsanleitungen, Tipps und Einsteigerturorials." />
      <title>DeinServerHost Wiki</title>
      <meta property="og:locale" content="de_DE" />
      <meta property="og:type" content="website" />
      <meta property="og:title" content="DeinServerHost Wiki" />
      <meta property="og:description" content="Alle Informationen rund um deine Dienste bei DeinServerHost.de findest du hier. Installationsanleitungen, Tipps und Einsteigerturorials." />
      <meta property="og:url" content="https://deinserverhost.de/wiki" />
      <meta property="og:site_name" content="DeinServerHost" />
      <meta property="og:image" content="https://deinserverhost.de/wiki/img/preview.png" />
      <meta name="twitter:card" content="summary" />
      <meta name="twitter:description" content="Alle Informationen rund um deine Dienste bei DeinServerHost.de findest du hier. Installationsanleitungen, Tipps und Einsteigerturorials." />
      <meta name="twitter:title" content="DeinServerHost Wiki" />
      <meta name="twitter:image" content="https://deinserverhost.de/wiki/img/preview.png" />

      <meta name="robots" content="index, follow" />
      <meta http-equiv="content-type" content="text/html; charset=utf-8" />
      <meta http-equiv="cache-control" content="cache" />
      <meta http-equiv="content-language" content="de" />
      <meta http-equiv="revisit-after" content="3 Tagen" />
    </head>
    <Redirect to="/wiki/home" />
    </Layout>
  );
}

export default Home;
