---
id: getServiceInformations
title:  API - GetServiceInformations
sidebar_label: GetServiceInformations
---

Ruft Informationen zu den Service ab

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "GetServiceInformations",
    "pid": 12345,
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "Service found, returning data", 
    "service": 
        { //An Object
            "id": 12345,
            "domainstatus": "Active",
            "type": "Dedicated",
            "amount": "0.00",
            "nextduedate": "2021-03-15"
        }, 
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.
|Service not found| Dieser Fehler tritt auf wenn der Service nicht gefunden wurde.


