---
id: incidents
title:  API - DDOS_Incidents
sidebar_label: DDOS_Incidents
---

Ruft die letzten 25 Angriffe auf diese IP Adresse ab

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "DDOS_Incidents",
    "ipaddr": "123.456.789.10",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "status": "succes",
    "message": "Returning the last 25 incidents of the ip",
    "incidents": // returns "blank" if there was never an attack!
        [
            {
                "id": "123456",
                "ip": "123.456.789.10",
                "type": "udp_flood", // Attack type
                "traffic": "90", // bandwith in mbps
                "packets": "557", // packets
                "avg_pktsize": "40.9", // average packetsize in bytes 
                "time": "1600276284" // timestamp
            },
            {
                "id": "78910",
                "ip": "123.456.789.10",
                "type": "udp_flood",
                "traffic": "79",
                "packets": "160557",
                "avg_pktsize": "65.3",
                "time": "1600254683"
            }
        ]
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.

