---
id: setrdns
title:  API - DDOS_SetRdns
sidebar_label: DDOS_SetRdns
---

Setzt einen rDNS Eintrag für die IP Adresse

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "DDOS_SetRdns",
    "ipaddr": "123.456.789.10",
    "rdns": "mail.exampple.com",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "status": "rdns_changed"
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.

