---
id: status
title:  API - DDOS_Status
sidebar_label: DDOS_Status
---


Ruft den Aktuellen Filter Status für die IP Adresse ab

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "DDOS_Status",
    "ipaddr": "123.456.789.10",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "Status received", 
    "last_change": "1616436005",
    "l4_dynamic": "off",
    "l4_permanent": "off",
    "l7_permanent": "off",
    "l7_only": "off",
    "blackhole": "off",
    "flowspec": "off"
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.


