---
id: getInstallStatus
title:  API - Dedicated_getInstallStatus
sidebar_label: Dedicated_getInstallStatus
---

Ruft den aktuellen Status des Installationsauftrages für einen Dedicated Server, Windows VPS, Windows Rootserver oder Storage Server ab. 

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "Dedicated_getInstallStatus",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "Installation is running..", 
    "template": "Debian Buster", 
    "statusmsg": "Retrieving file example.deb" 
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.
|No installation found| Dieser Fehler tritt auf wenn keine Installation hängig ist.

