---
id: reinstallServer
title:  API - Dedicated_ReinstallServer
sidebar_label: Dedicated_ReinstallServer
---


Beendet den aktuellen Installationsauftrag für einen Dedicated Server, Windows VPS, Windows Rootserver oder Storage Server. 

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "Dedicated_ReinstallServer",
    "pid": 12345,
    "template": 12345,
    "pwd": "Password",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "Server is reinstalling/booting rescue", 
    "success": true 
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.
|Password is empty | Dieser Fehlertritt auf wenn kein Password übergeben worden ist bzw. dieses ein leerer String ist.
|Server could not start installation process or booting rescue. Is there a Reinstall/Rescue already added?| Dieser Fehler tritt auf wenn eine andere Installation bereits hängig ist.

