---
id: statusServer
title:  API - Dedicated_statusServer
sidebar_label: Dedicated_statusServer
---


Ruft den aktuellen Status von einen Dedicated Server, Windows VPS, Windows Rootserver oder Storage Server ab. 


## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "Dedicated_statusServer",
    "pid": 12345,
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "status received", 
    "status": "normal" //This object can be a Array, an object, a string or a number
}
```

```json
{
    "result": "success", 
    "message": "status received", 
    "status": "chassis power is on" //This object can be a Array, an object, a string or a number
}
```


## Mögliche Fehlermeldungen

| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.
